EDQUOTA(8)

NAME
edquota - edit user quotas

SYNOPSIS
/usr/sbin/edquota [ -p proto-user ] usernames...

/usr/sbin/edquota -t

DESCRIPTION
edquota is a quota editor. One or more users may be specified on the command line. For each user a temporary file is created with an ASCII representation of the current disk quotas for that user and an editor is then invoked on the file. The quotas may then be modified, new quotas added, etc. Upon leaving the editor, edquota reads the temporary file and modifies the binary quota files to reflect the changes made.

The editor invoked is vi(1) unless the EDITOR environment variable specifies otherwise.

Only the super-user may edit quotas. (In order for quotas to be established on a file system, the root directory of the file system must contain a file, owned by root, called quotas. See quotaon(8) for details.)

OPTIONS

-p  Duplicate the quotas of the prototypical user specified for each user specified. This is the normal mechanism used to initialize quotas for groups of users.

-t  Edit the soft time limits for each file system. If the time limits are zero, the default time limits in <ufs/quota.h> are used. Time units of sec(onds), min(utes), hour(s), day(s), week(s), and month(s) are understood. Time limits are printed in the greatest possible time unit such that the value is greater than or equal to one.

FILES
quotas
    quota file at the file system root
/etc/mtab
    mounted file systems

SEE ALSO
quota(1), vi(1), quotactl(2), quotacheck(8), quotaon(8), repquota(8)

BUGS
The format of the temporary file is inscrutable.